/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ISegment, SegmentGroup } from "./mergeTreeNodes";
/**
 * @internal
 */
export declare class SegmentGroupCollection {
    private readonly segment;
    private readonly segmentGroups;
    constructor(segment: ISegment);
    get size(): number;
    get empty(): boolean;
    /**
     * @deprecated This functionality was not meant to be exported and will be removed in a future release
     */
    enqueue(segmentGroup: SegmentGroup): void;
    /**
     * @deprecated This functionality was not meant to be exported and will be removed in a future release
     */
    dequeue(): SegmentGroup | undefined;
    /**
     * @deprecated This functionality was not meant to be exported and will be removed in a future release
     */
    pop?(): SegmentGroup | undefined;
    copyTo(segment: ISegment): void;
    private enqueueOnCopy;
}
//# sourceMappingURL=segmentGroupCollection.d.ts.map